procedure BottleNeckAnalysis;

const
  maxlen = 8;

var
  len, highlen, Minimum : integer;
  Neck, s               : sector;
  distrib               : array[1..maxlen] of integer;

begin
write('Minimum Depth to display(1-8)? ');
readln(Minimum);
HighLen := 1;
for s := 1 to Maxlen do
  distrib[s] := 0;
for s := 1 to MaxSector do
  if space.sectors[s].number = 1 then
    begin
    len := HowDeep( s , Neck );     {How far till a sector leading
                                     away to a greater depth than
                                     this one. }
    if Len >= Minimum then
      writeln(s,' TO ',Neck,' is ',len,' spaces in length');
    if len > HighLen then
      HighLen := Len;
    if len > maxlen then
      len := maxlen;
    distrib[ len ] := distrib[ len ] + 1;
    end; {for if}
writeln;
writeln('Distributions of Bottle lengths:');
for len := 1 to 8 do
  write( len : 2, ': ', distrib[len] : 3, '.  ');
writeln;
writeln('Maximum length of any Bottle is ', HighLen);
writeln;
end; {Bottleneck Stuff}